.pullers-pullers-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.pullers-add-puller-button {
    background-color: var(--brand-accent);
    color: var(--white-color);
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-size: 1rem;
}

.pullers-add-puller-button:hover {
    background-color: var(--pipeline-refresh-button-hover-background-color);
}

.pullers-puller-actions {
    display: flex;
    gap: 8px;
}

.pullers-puller-actions button, .pullers-puller-actions a {
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.pullers-puller-actions a {
    background-color: var(--pipeline-action-background-color);
}

.pullers-puller-actions button:hover:not(.pullers-puller-button-disabled) {
    opacity: 0.9;
}

.pullers-puller-info-button {
    background-color: var(--text-color-medium);
}

.pullers-pullers-refresh-container {
    padding: 1rem 0;
    text-align: right;
}

.pullers-puller-refresh-button {
    background-color: var(--pipeline-refresh-button-background-color);
    color: var(--white-color);
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-size: 1rem;
}

.pullers-puller-refresh-button:hover {
    background-color: var(--pipeline-refresh-button-hover-background-color);
}

.pipeline-actions {
    display: flex;
    gap: 8px;
}

.pipeline-info-button,
.pipeline-delete-button {
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.1em;
}

.pipeline-info-button {
    background-color: var(--brand-accent);
}

.pipeline-delete-button {
    background-color: var(--error-text-color);
}

.pipeline-info-button:hover,
.pipeline-delete-button:hover {
    opacity: 0.9;
}

.pullers-question-button {
    background-color: var(--brand-accent);
    color: var(--white-color);
    border: none;
    padding: 8px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 1.1em;
    margin-left: 10px;
}

.pullers-question-button:hover {
    opacity: 0.9;
}